org.hibernate.search.bridge

## Interface StringBridge

- All Known Subinterfaces:
    TwoWayFieldBridge, TwoWayStringBridge
  All Known Implementing Classes:
    BigDecimalBridge, BigIntegerBridge, BooleanBridge, BuiltinArrayBridge, BuiltinIterableBridge, BuiltinMapBridge, ByteBridge, CharacterBridge, ClassBridge, ConcatStringBridge, DefaultStringBridge, DoubleBridge, DurationBridge, ElasticsearchBooleanBridge, ElasticsearchCalendarBridge, ElasticsearchDateBridge, ElasticsearchInstantBridge, ElasticsearchLocalDateBridge, ElasticsearchLocalDateTimeBridge, ElasticsearchLocalTimeBridge, ElasticsearchMonthDayBridge, ElasticsearchOffsetDateTimeBridge, ElasticsearchOffsetTimeBridge, ElasticsearchTemporalAccessorStringBridge, ElasticsearchYearBridge, ElasticsearchYearMonthBridge, ElasticsearchZonedDateTimeBridge, EncodingStringBridge, EnumBridge, FloatBridge, InstantBridge, IntegerBridge, LocalDateBridge, LocalDateTimeBridge, LocalTimeBridge, LongBridge, MonthDayBridge, NullEncodingFieldBridge, NullEncodingTwoWayFieldBridge, NumberBridge, NumericEncodingCalendarBridge, NumericEncodingDateBridge, NumericFieldBridge, OffsetDateTimeBridge, OffsetTimeBridge, PeriodBridge, ShortBridge, String2FieldBridgeAdaptor, StringBridge, StringEncodingCalendarBridge, StringEncodingDateBridge, TemporalAccessorStringBridge, TwoWayString2FieldBridgeAdaptor, TwoWayString2FieldBridgeIgnoreAnalyzerAdaptor, UriBridge, UrlBridge, UUIDBridge, YearBridge, YearMonthBridge, ZonedDateTimeBridge, ZoneIdBridge, ZoneOffsetBridge

      public interface StringBridge

  Transform an object into a string representation. All implementations are required to be threadsafe. Usually this is easily achieved avoiding the usage of class fields, unless they are either immutable or needed to store parameters.
  Author:
    Emmanuel Bernard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `objectToString(Object object)` Converts the object representation to a string.

- - ### Method Detail

    - #### objectToString

          String objectToString(Object object)

      Converts the object representation to a string.
      Parameters:
        `object` - The object to transform into a string representation.
      Returns:
        String representation of the given object to be stored in Lucene index. The return string must not be `null`. It can be empty though.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved